000026028 - Error: 'Plug-in load failure' with Keon OneStep shared object compiled against KCA Admin API

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000026028
Applies ToKeon Certificate Authority 6.5.1 API
Keon Certificate Authority OneStep 6.5.1
Sun Solaris 2.8
GCC
IssueError: "Plug-in load failure" with Keon OneStep shared object compiled against KCA Admin API
KCA Patch release 229 includes a version of OneStep that enables using the KCA Admin API to create additional Certificate Extensions not available through the OneStep API. After editing the OneStep Makefile as instructed in the updated OneStep documentation provided in build 229, the new shared object can be compiled correctly. However, when the shared object is used with the OneStep CGI, an error is return -"Plug-in Load failure".
CauseIn this instance the plugin was being compiled using GCC version 2.95.3
ResolutionThe KCA Admin API must be used against the correct version of libstdc++.a which is found in the 2.95.2 release of GCC.
Legacy Article IDa22321

Attachments

    Outcomes